Package org.apache.nutch.parse

# Class ParseSegment.ParseSegmentMapper

java.lang.Object
org.apache.hadoop.mapreduce.Mapper<WritableComparable<?>,Content,Text,NutchWritable>
org.apache.nutch.parse.ParseSegment.ParseSegmentMapper

Enclosing class:
  ParseSegment

public static class ParseSegment.ParseSegmentMapper extends Mapper<WritableComparable<?>,Content,Text,NutchWritable>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper

  `Mapper.Context`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParseSegmentMapper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cleanup(Mapper<WritableComparable<?>,Content,Text,NutchWritable>.Context context)`
  `void`
  `map(WritableComparable<?> key, Content content, Mapper<WritableComparable<?>,Content,Text,NutchWritable>.Context context)`
  `void`
  `setup(Mapper<WritableComparable<?>,Content,Text,NutchWritable>.Context context)`

  ### Methods inherited from class org.apache.hadoop.mapreduce.Mapper

  `run`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParseSegmentMapper

    public ParseSegmentMapper()

- ## Method Details

  - ### setup

    public void setup(Mapper<WritableComparable<?>,Content,Text,NutchWritable>.Context context)
    Overrides:
      `setup` in class `Mapper<WritableComparable<?>,Content,Text,NutchWritable>`

  - ### cleanup

    public void cleanup(Mapper<WritableComparable<?>,Content,Text,NutchWritable>.Context context) throws IOException, InterruptedException
    Overrides:
      `cleanup` in class `Mapper<WritableComparable<?>,Content,Text,NutchWritable>`
    Throws:
      `IOException`
      `InterruptedException`

  - ### map

    public void map(WritableComparable<?> key, Content content, Mapper<WritableComparable<?>,Content,Text,NutchWritable>.Context context) throws IOException, InterruptedException
    Overrides:
      `map` in class `Mapper<WritableComparable<?>,Content,Text,NutchWritable>`
    Throws:
      `IOException`
      `InterruptedException`